

<h1>Positioning: Absolute</h1>
<p><em>Absolute positioning</em> takes an element out of document flow, meaning the other elements on the page move up as if it was never there.
  The position of the element is then fixed relative to the top level container, or the closest parent with a set positioning.</p>


<p>
  Here we have set the blue box to the 'absolute' position and set the right value as 0px, this means the box is positioned
  0px from the right of the window.
</p>
<div class="box blueBox1"></div>
<div class="col-md-4 codeExample">
  <em>styles.css</em>
  <pre>
  .blueBox {{'{'}}
    position: absolute;
    right: 0;
  }
</pre>
</div>

<br>




<p>If the blue box was in a container you would need to set a position of that container to relative for the absolute position to work.
In this example we set the absolute value to to top right corner of the container. </p>

<div class="col-md-4 codeExample">
  <em>styles.css</em>
  <pre>
  .blueBox {{'{'}}
    position: absolute;
    top: 0;
    right: 0
  }
  .container {{'{'}}
    position: relative;
  }
</pre>
</div>

<br>

<div class="containerBox">
  <div class="box blueBox2"></div>
</div>

<br>

<h1>Z-Index</h1>
<p><em>Z-Index</em> is where we can control the stack layer of element that over lap each other.
  This is useful if you want to display an image behind some text. The value of the z-index starts at 0, any element given a positive number
  is placed on top, a negative number sends it behind.
</p>
<div class="col-md-4 codeExample">
  <em>styles.css</em>
  <pre>
  .image {{'{'}}
    position: absolute;
    z-index: -1;
  }
</pre>
</div>

<br>

<div style="position: relative">
  <img class="image" src="../../assets/images/gradient.png" alt="gradient">
  <p>Because this image has a z-index of -1, it will be placed behind the text.</p>
</div>


